@article{2018:lucsanyi,
	author = {Lucsanyi, D. and Prod'homme, T. and Smit, H. and Lemmel, F. and Crouzet, P.-E. and Verhoeve, P. and Shortt, B.},
    title  = {Pyxel - a novel and multi-purpose Python-based framework for imaging detector simulation},
    journal = {Proc. SPIE 10709, High Energy, Optical, and Infrared Detectors for Astronomy VIII, 107091A},
    volume = {},
    number = {},
    doi = {10.1117/12.2314047},
    year = {2018}
}

@inproceedings{2020:prodhomme,
    author = {Thibaut Prod'homme and Frédéric Lemmel and Matej Arko and Benoit Serra and Elizabeth George and Enrico Biancalani and Hans Smit and David Lucsanyi},
    title = {{Pyxel: the collaborative detection simulation framework}},
    volume = {11454},
    booktitle = {X-Ray, Optical, and Infrared Detectors for Astronomy IX},
    editor = {Andrew D. Holland and James Beletic},
    organization = {International Society for Optics and Photonics},
    publisher = {SPIE},
    pages = {26 -- 35},
    keywords = {Detectors, Modelling, MCT, Instrumentation, Simulation, MKID, Persistence, data analysis},
    year = {2020},
    doi = {10.1117/12.2561731},
    URL = {https://doi.org/10.1117/12.2561731}
}

@misc{Konnik:noises,
  doi = {10.48550/ARXIV.1412.4031},
  url = {https://arxiv.org/abs/1412.4031},
  author = {Konnik, Mikhail and Welsh, James},
  keywords = {Instrumentation and Methods for Astrophysics (astro-ph.IM), Computer Vision and Pattern Recognition (cs.CV), FOS: Physical sciences, FOS: Physical sciences, FOS: Computer and information sciences, FOS: Computer and information sciences},
  title = {High-level numerical simulations of noise in CCD and CMOS photosensors: review and tutorial},
  publisher = {arXiv},
  year = {2014},
  copyright = {arXiv.org perpetual, non-exclusive license}
}

@misc{pygmo,
    author = {},
    title = {{PyGMO2, the Python Parallel Global Multiobjective Optimizer}},
    howpublished = "\url{https://esa.github.io/pygmo2/}",
}

@misc{xarray,
    author = {},
    title = {{xarray: N-D labeled arrays and datasets in Python}},
    howpublished = "\url{https://docs.xarray.dev/en/stable/}",
}

@article{2019:persistence,
   title={Predictive model of persistence in H2RG detectors},
   volume={5},
   ISSN={2329-4124},
   url={http://dx.doi.org/10.1117/1.JATIS.5.3.036004},
   DOI={10.1117/1.jatis.5.3.036004},
   number={03},
   journal={Journal of Astronomical Telescopes, Instruments, and Systems},
   publisher={SPIE-Intl Soc Optical Eng},
   author={Tulloch, Simon and George, Elizabeth and Systems Group, ESO Detector},
   year={2019},
   month={Sep},
   pages={1}
}

@inproceedings{2019:baker,
author = {Ian Baker and Chris Maxey and Les Hipwood and Vincent Isgar and Harald Weller and Mark Herrington and Keith Barnes},
title = {{Linear-mode avalanche photodiode arrays in HgCdTe at Leonardo, UK: the current status}},
volume = {10980},
booktitle = {Image Sensing Technologies: Materials, Devices, Systems, and Applications VI},
editor = {Nibir K. Dhar and Achyut K. Dutta and Sachidananda R. Babu},
organization = {International Society for Optics and Photonics},
publisher = {SPIE},
pages = {81 -- 90},
keywords = {SAPHIRA, APD, HgCdTe, Wavefront sensors, Leonardo, LmAPD},
year = {2019},
doi = {10.1117/12.2519830},
URL = {https://doi.org/10.1117/12.2519830}
}

@INPROCEEDINGS{2016:saphira:noise,
       author = {{Finger}, Gert and {Baker}, Ian and {Alvarez}, Domingo and {Dupuy}, Christophe and {Ives}, Derek and {Meyer}, Manfred and {Mehrgan}, Leander and {Stegmeier}, J{\"o}rg and {Weller}, Harald J.},
        title = "{Sub-electron read noise and millisecond full-frame readout with the near infrared eAPD array SAPHIRA}",
    booktitle = {Adaptive Optics Systems V},
         year = 2016,
       editor = {{Marchetti}, Enrico and {Close}, Laird M. and {V{\'e}ran}, Jean-Pierre},
       series = {Society of Photo-Optical Instrumentation Engineers (SPIE) Conference Series},
       volume = {9909},
        month = jul,
          eid = {990912},
        pages = {990912},
          doi = {10.1117/12.2233079},
       adsurl = {https://ui.adsabs.harvard.edu/abs/2016SPIE.9909E..12F},
      adsnote = {Provided by the SAO/NASA Astrophysics Data System}
}

@inproceedings{10.1117/12.925230,
    author = {Marshall D. Perrin and R{\'e}mi Soummer and Erin M. Elliott and Matthew D. Lallo and Anand Sivaramakrishnan},
    title = {{Simulating point spread functions for the James Webb Space Telescope with WebbPSF}},
    volume = {8442},
    booktitle = {Space Telescopes and Instrumentation 2012: Optical, Infrared, and Millimeter Wave},
    editor = {Mark C. Clampin and Giovanni G. Fazio and Howard A. MacEwen and Jacobus M. Oschmann Jr.},
    organization = {International Society for Optics and Photonics},
    publisher = {SPIE},
    pages = {84423D},
    keywords = {Point spread function, simulations, coronagraphy, James Webb Space Telescope},
    year = {2012},
    doi = {10.1117/12.925230},
    URL = {https://doi.org/10.1117/12.925230}
}

@article{2018:garcia,
	author = {Garcia, L. and Prod'homme, T. and Lucsanyi, D. and Short, A. and  Santin, G. and Vuolo, M. and Crowley, C. and Abreu, A. and Kholey, R. and Lemmel, F. and Smit, H.},
    title  = {Validation of a CCD cosmic ray event simulator against Gaia in-orbit data},
    journal = {Proc. SPIE 10709, High Energy, Optical, and Infrared Detectors for Astronomy VIII, 107091A},
    volume = {},
    number = {},
    pages = {},
    doi = {},
    year = {2018}
}

@article{Plazas_2017,
	doi = {10.1088/1748-0221/12/04/c04009},
	url = {https://doi.org/10.1088/1748-0221/12/04/c04009},
	year = 2017,
	month = {apr},
	publisher = {{IOP} Publishing},
	volume = {12},
	number = {04},
	pages = {C04009--C04009},
	author = {A.A. Plazas and C. Shapiro and R. Smith and J. Rhodes and E. Huff},
	title = {Nonlinearity and pixel shifting effects in {HXRG} infrared detectors},
	journal = {Journal of Instrumentation},
	abstract = {We study the nonlinearity (NL) in the conversion from charge to voltage in infrared detectors (HXRG)
	for use in precision astronomy. We present laboratory measurements of the NL function of a H2RG detector and
	discuss the accuracy to which it would need to be calibrated in future space missions to perform cosmological
	measurements through the weak gravitational lensing technique. In addition, we present an analysis of archival
	data from the infrared H1RG detector of the Wide Field Camera 3 in the Hubble Space Telescope that provides
	evidence consistent with the existence of a sensor effect analogous to the ``brighter-fatter'' effect found in
	Charge-Coupled Devices. We propose a model in which this effect could be understood as shifts in the effective
	pixel boundaries, and discuss prospects of laboratory measurements to fully characterize this effect.}
}

@book{sze,
	author = {Simon M. Sze, Kwok K. Ng},
    publisher = {John Wiley & Sons, Ltd},
    title = {Physics of Semiconductor Devices},
    chapter = {p-n Junctions},
    pages = {77-133},
    doi = {https://doi.org/10.1002/9780470068328.ch2},
    url = {https://onlinelibrary.wiley.com/doi/abs/10.1002/9780470068328.ch2},
    eprint = {https://onlinelibrary.wiley.com/doi/pdf/10.1002/9780470068328.ch2},
    year = {2006}
}

@misc{pichon,
  author = {T. Pichon, T. Le Goff, O. {Boulade}},
  title = {{Pyxel: CMOS detector non-linearities}},
  date = "2022-06-08",
  howpublished = "personal communication"
}

@book{2001:janesick,
	author = {James R. Janesick},
	title  = {Scientific Charge-Coupled Devices},
	publisher= {SPIE Press},
    address= {Bellingham, Washington},
    doi = {10.1117/3.374903},
    note = {ISBN 0-8194-3698-4},
	year   = {2001}
}

@ARTICLE{2020:cosmix,
  author={Lucsányi, Dávid and Prod’homme, Thibaut},
  journal={IEEE Transactions on Nuclear Science},
  title={Simulating Charge Deposition by Cosmic Rays Inside Astronomical Imaging Detectors},
  year={2020},
  volume={67},
  number={7},
  pages={1623-1628},
  doi={10.1109/TNS.2020.2986285}}

@article{2016:prodhomme,
    author = {Prod'homme, T. and Verhoeve, P. and  Beaufort, T. and Duvet, L. and Lemmel, F.and Smit, H. and  Blommaert, S. and Oosterbroek, T. and van der Luijt, C. and Visser, I. and Heijnen, J. and Butler, B.},
    title = {Technology validation of the PLATO CCD at ESA},
    journal = {Proc. SPIE},
    volume = {9915},
    number = {},
    pages = {9915 - 9915 - 12},
    doi = {10.1117/12.2231598},
    year = {2016}
}

@article{2016:verhoeve,
    author = {Verhoeve, P. and Prod'homme, T. and Oosterbroek, T. and Duvet, L. and Beaufort, T. and Blommaert, S. and  Butler, B. and Heijnen, J. and Lemmel, F. and van der Luijt, C. and Smit, H. and Visser, I.},
    title = {Optical and dark characterization of the PLATO CCD at ESA},
    journal = {Proc. SPIE},
    volume = {9915},
    number = {},
    pages = {9915 - 9915 - 16},
    year = {2016},
    doi = {10.1117/12.2232336}
}

@article{2003:agostinelli,
    author = {{S. Agostinelli, et al.}},
    title = "Geant4 -- a simulation toolkit",
    journal = "Nuclear Instruments and Methods in Physics Research Section A: Accelerators, Spectrometers, Detectors and Associated Equipment",
    volume = "506",
    number = "3",
    pages = "250 - 303",
    year = "2003",
    issn = "0168-9002",
    doi = "10.1016/S0168-9002(03)01368-8"
}

@article{2013:short,
    author = {Short, A. and Crowley, C. and de Bruijne, J. H. J. and Prod'homme, T.},
    title = {{An analytical model of radiation-induced Charge Transfer Inefficiency for CCD detectors}},
    journal = {Monthly Notices of the Royal Astronomical Society},
    volume = {430},
    number = {4},
    pages = {3078-3085},
    doi = {10.1093/mnras/stt114},
    year = {2013}
}

@article{2015:rauscher,
  author={Bernard J. Rauscher},
  title={{Teledyne H1RG, H2RG, and H4RG Noise Generator}},
  journal={Publications of the Astronomical Society of the Pacific},
  volume={127},
  number={957},
  pages={1144},
  url={http://stacks.iop.org/1538-3873/127/i=957/a=1144},
  year={2015}
}

@article{2010:massey,
    author = {Massey, Richard},
    title = "{Charge transfer inefficiency in the Hubble Space Telescope since Servicing Mission 4}",
    journal = {Monthly Notices of the Royal Astronomical Society: Letters},
    volume = {409},
    number = {1},
    pages = {L109-L113},
    year = {2010},
    month = {11},
    abstract = "{We update a physically motivated model of radiation damage in the Hubble Space Telescope Advanced Camera for Surveys/Wide Field Channel, using data up to mid-2010. We find that charge transfer inefficiency increased dramatically before shuttle Servicing Mission 4, with ∼1.3 charge traps now present per pixel. During detector readout, charge traps spuriously drag electrons behind all astronomical sources, degrading image quality in a way that affects object photometry, astrometry and morphology. Our detector readout model is robust to changes in operating temperature and background level, and can be used to iteratively remove the trailing by pushing electrons back to where they belong. The result is data taken in mid-2010 that recovers the quality of imaging obtained within the first six months of orbital operations.}",
    issn = {1745-3925},
    doi = {10.1111/j.1745-3933.2010.00959.x},
    url = {https://doi.org/10.1111/j.1745-3933.2010.00959.x},
    eprint = {https://academic.oup.com/mnrasl/article-pdf/409/1/L109/3226021/409-1-L109.pdf},
}

@article{2014:massey,
author = {Massey, Richard and Schrabback, Tim and Cordes, O. and Marggraf, Ole and Israel, Holger and Miller, Lance and Hall, David and Cropper, Mark and Prod'homme, Thibaut and Niemi, Sami},
year = {2014},
month = {01},
pages = {},
title = {An improved model of Charge Transfer Inefficiency and correction algorithm for the Hubble Space Telescope},
volume = {439},
journal = {Monthly Notices of the Royal Astronomical Society},
doi = {10.1093/mnras/stu012}
}

@article{Kannawadi_2016,
	doi = {10.1088/1538-3873/128/967/095001},
	url = {https://doi.org/10.1088/1538-3873/128/967/095001},
	year = 2016,
	month = {jun},
	publisher = {{IOP} Publishing},
	volume = {128},
	number = {967},
	pages = {095001},
	author = {Arun Kannawadi and Charles A. Shapiro and Rachel Mandelbaum and Christopher M. Hirata and Jeffrey W. Kruk and Jason D. Rhodes},
	title = {The Impact of Interpixel Capacitance in {CMOS} Detectors on {PSF} Shapes and Implications for {WFIRST}},
	journal = {Publications of the Astronomical Society of the Pacific},
	abstract = {Unlike optical CCDs, near-infrared detectors, which are based on CMOS hybrid readout technology, typically suffer from electrical crosstalk between the pixels. The interpixel capacitance (IPC) responsible for the crosstalk affects the point-spread function (PSF) of the telescope, increasing the size and modifying the shape of all objects in the images while correlating the Poisson noise. Upcoming weak lensing surveys that use these detectors, such as WFIRST, place stringent requirements on the PSF size and shape (and the level at which these are known), which in turn must be translated into requirements on IPC. To facilitate this process, we present a first study of the effect of IPC on WFIRST PSF sizes and shapes. Realistic PSFs are forward-simulated from physical principles for each WFIRST bandpass. We explore how the PSF size and shape depends on the range of IPC coupling with pixels that are connected along an edge or corner; for the expected level of IPC in WFIRST, IPC increases the PSF sizes by ∼5%. We present a linear fitting formula that describes the uncertainty in the PSF size or shape due to uncertainty in the IPC, which could arise for example due to unknown time evolution of IPC as the detectors age or due to spatial variation of IPC across the detector. We also study of the effect of a small anisotropy in the IPC, which further modifies the PSF shapes. Our results are a first, critical step in determining the hardware and characterization requirements for the detectors used in the WFIRST survey.}
}

@article{Tennant2008MBEHT,
  title={MBE HgCdTe Technology: A Very General Solution to IR Detection, Described by “Rule 07”, a Very Convenient Heuristic},
  author={William E. Tennant and Donald L. Lee and Majid Zandian and Eric C. Piquette and Michael Carmody},
  journal={Journal of Electronic Materials},
  year={2008},
  volume={37},
  pages={1406-1410}
}

@article{PhysRevB.104.L180506,
  title = {Strong reduction of quasiparticle fluctuations in a superconductor due to decoupling of the quasiparticle number and lifetime},
  author = {de Rooij, Steven A. H. and Baselmans, Jochem J. A. and Murugesan, Vignesh and Thoen, David J. and de Visser, Pieter J.},
  journal = {Phys. Rev. B},
  volume = {104},
  issue = {18},
  pages = {L180506},
  numpages = {7},
  year = {2021},
  month = {Nov},
  publisher = {American Physical Society},
  doi = {10.1103/PhysRevB.104.L180506},
  url = {https://link.aps.org/doi/10.1103/PhysRevB.104.L180506}
}

@article{doi:10.1146/annurev-conmatphys-020911-125022,
author = {Zmuidzinas, Jonas},
title = {Superconducting Microresonators: Physics and Applications},
journal = {Annual Review of Condensed Matter Physics},
volume = {3},
number = {1},
pages = {169-214},
year = {2012},
doi = {10.1146/annurev-conmatphys-020911-125022},

URL = { 
        https://doi.org/10.1146/annurev-conmatphys-020911-125022
    
},
eprint = { 
        https://doi.org/10.1146/annurev-conmatphys-020911-125022
    
}
,
    abstract = { Interest in superconducting microresonators has grown dramatically over the past decade. Resonator performance has improved substantially through the use of improved geometries and materials as well as a better understanding of the underlying physics. These advances have led to the adoption of superconducting microresonators in a large number of low-temperature experiments and applications. This review outlines these developments, with particular attention given to the use of superconducting microresonators as detectors. }
}

@article{Dodkins,
author = {{Dodkins}, Rupert H. and {Davis}, Kristina K. and {Lewis}, Briley and
         {Mahashabde}, Sumedh and {Mazin}, Benjamin A. and
         {Lipartito}, Isabel A. and {Fruitwala}, Neelay and {O'Brien}, Kieran and
         {Thatte}, Niranjan},
title = "{First Principle Simulator of a Stochastically Varying Image Plane for Photon-counting High Contrast Applications}",
journal = {Publications of the Astronomical Society of the Pacific},
keywords = {Astronomical instrumentation, Exoplanet astronomy, Direct imaging, Astronomical simulations, Astrophysics - Instrumentation and Methods for Astrophysics},
year = 2020,
month = "October",
volume = {132},
number = {1016},
eid = {104503},
pages = {104503},
doi = {10.1088/1538-3873/aba9e4},
archivePrefix = {arXiv},
eprint = {2007.15274},
primaryClass = {astro-ph.IM},
adsurl = {https://ui.adsabs.harvard.edu/abs/2020PASP..132j4503D},
adsnote = {Provided by the SAO/NASA Astrophysics Data System}
}


@misc{yaml,
    author = {},
    title = {{YAML: Data serialization language}},
    howpublished = "\url{http://yaml.org}",
}
@misc{astropy,
    author = {{Astropy Collaboration}},
    title = {{Astropy: Python package for Astronomy}},
    howpublished = "\url{http://astropy.org}",
}
@misc{numpy,
    author = {},
    title = {{NumPy: Python scientific computing library}},
    howpublished = "\url{http://numpy.org}",
}
@misc{pandas,
    author = {},
    title = {{Pandas: Python Data Analysis Library}},
    howpublished = "\url{https://pandas.pydata.org}",
}
@misc{matplotlib,
    author = {},
    title = {{Matplotlib: Python plotting library}},
    howpublished = "\url{https://matplotlib.org}",
}
@misc{tornado,
    author = {},
    title = {{Tornado: Python web framework and networking library}},
    howpublished = "\url{http://tornadoweb.org}",
}
@misc{js9,
    author = {},
    title = {{JS9: Astronomical image display everywhere}},
    howpublished = "\url{https://js9.si.edu}",
}
@misc{attrs,
    author = {},
    title = {{Attrs: Classes Without Boilerplate}},
    howpublished = "\url{http://attrs.org}",
}
@misc{gitlab,
    author = {},
    title = {{GitLab}},
    howpublished = "\url{https://about.gitlab.com/}",
}
@misc{Mazin,
    author = {},
    title = "Mazin Lab website",
    howpublished = "\url{http://web.physics.ucsb.edu/\~bmazin}",
    note = "" }

@article{RadiationLeRoch2019,
  author={Le Roch, Alexandre and Virmontois, Cédric and Paillet, Philippe and Belloir, Jean-Marc and Rizzolo, Serena and Pace, Federico and Durnez, Clémentine and Magnan, Pierre and Goiffon, Vincent},
  journal={IEEE Transactions on Nuclear Science},
  title={Radiation-Induced Leakage Current and Electric Field Enhancement in CMOS Image Sensor Sense Node Floating Diffusions},
  year={2019},
  volume={66},
  number={3},
  pages={616-624},
  doi={10.1109/TNS.2019.2892645}}

@article{Belloir:16,
author = {Jean-Marc Belloir and Vincent Goiffon and C\'{e}dric Virmontois and M\'{e}lanie Raine and Philippe Paillet and Olivier Duhamel and Marc Gaillardin and Romain Molina and Pierre Magnan and Olivier Gilard},
journal = {Opt. Express},
keywords = {Arrays; Solid state detectors ; Image detection systems; Integrated optoelectronic circuits; Radiation; Optical sensing and sensors ; Image quality; Image sensors; Laser fusion; Optical instrument design; Optical sensing; Plasma diagnostics},
number = {4},
pages = {4299--4315},
publisher = {Optica Publishing Group},
title = {Pixel pitch and particle energy influence on the dark current distribution of neutron irradiated CMOS image sensors},
volume = {24},
month = {Feb},
year = {2016},
url = {https://opg.optica.org/oe/abstract.cfm?URI=oe-24-4-4299},
doi = {10.1364/OE.24.004299},
abstract = {The dark current produced by neutron irradiation in CMOS Image Sensors (CIS) is investigated. Several CIS with different photodiode types and pixel pitches are irradiated with various neutron energies and fluences to study the influence of each of these optical detector and irradiation parameters on the dark current distribution. An empirical model is tested on the experimental data and validated on all the irradiated optical imagers. This model is able to describe all the presented dark current distributions with no parameter variation for neutron energies of 14 MeV or higher, regardless of the optical detector and irradiation characteristics. For energies below 1 MeV, it is shown that a single parameter has to be adjusted because of the lower mean damage energy per nuclear interaction. This model and these conclusions can be transposed to any silicon based solid-state optical imagers such as CIS or Charged Coupled Devices (CCD). This work can also be used when designing an optical imager instrument, to anticipate the dark current increase or to choose a mitigation technique.},
}


GitLab. https://about.gitlab.com/

NumPy: Python scientific computing library. http://numpy.org

Pandas: Python Data Analysis Library. https://pandas.pydata.org

Matplotlib: Python plotting library. https://matplotlib.org

Astropy Collaboration, Astropy: Python package for Astronomy. http://astropy.org

YAML: Data serialization language. http://yaml.org

JS9: Astronomical image display everywhere. https://js9.si.edu

Tornado: Python web framework and networking library. http://tornadoweb.org

Attrs: Classes Without Boilerplate. http://attrs.org

% and Crowley, C. and de Bruijne, J. H. J. and Prod'homme, T.
